main {
    background-color: var(--border-light);
    color: var(--dark-forest-green);
}

/* Hero Section */
.hero-farm-updates {
    padding: 50px 20px;
    text-align: center;
    border-top: 1px solid #ccc;
}

.hero-content h1 {
    margin-bottom: 0px;
}

/* form */
.updates-form-box {
    width: 100%;
    display: flex;
    justify-content: center;
}

.updates-search-form {
    width: 60%;
    margin-bottom: 30px;
}

.updates-search-form input {
    font-size: 1rem;
    width: 100%;
    padding: 10px 12px;
    border: 1px solid #ccc;
    border-radius: 10px;
    font-family: inherit;
    box-shadow: 0 5px 8px rgba(0,0,0,0.05);
}

/* Updates Feed */
.updates-feed {
    padding: 0px 40px;
}

.feed-item-grid {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}

.feed-item {
    background-color: var(--bg-white);
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0px 5px 10px 5px rgba(0,0,0,0.05);
    margin: 20px;
    width: 380px;
}

.feed-header {
    position: relative;
    height: fit-content;
    overflow: hidden;
}

.feed-header image {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.date-time {
    position: absolute;
    bottom: 15px;
    left: 10px;
    background-color: var(--accent-green);
    border-radius: 10px;
    padding: 0px 8px;
}

.date-time span {
    font-size: .854rem;
    color: var(--dark-forest-green);
    font-weight: 600;
}

.feed-details {
    padding: 20px;
}

.feed-details p {
    font-size: .954rem;
}

.feed-title {
    font-size: 1.5rem !important;
    font-weight: 600;
    margin-bottom: 10px !important;
}

.feed-details a {
    display: flex;
    align-items: center;
    font-weight: 600;
    color: var(--dark-forest-green);
}

.feed-details a svg {
    margin-left: 5px;
    height: 20px;
    width: 20px;
}

.feed-pagnation {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-left: 0px;
    margin: 40px;
}
.feed-pagnation button {
    padding: 6px 12px;
    margin: 8px;
    border-radius: 5px;
    color: var(--text-muted);
    border: 1px solid #ddd;
    outline: none;
    cursor: pointer;
    font-size: 1rem;
}

.feed-pagnation button.active {
    background-color: var(--dark-forest-green);
    border: 1px solid var(--dark-forest-green);
    color: var(--bg-white);
}

/* subscription form */
.feed-subscription {
    background-color: var(--bg-white);
    padding: 80px 20px;
    display: flex;
    justify-content: center;
}

.subscription-form {
    width: 60%;
    background-color: var(--dark-forest-green);
    border-radius: 20px;
    padding: 30px;
    text-align: left;
}

.subscription-form h2 {
    font-size: 2rem;
    color: var(--bg-white);
    line-height: normal;
}

.subscription-form p {
    color: var(--accent-green);
}

.subscription-form .form-input {
    display: flex;
    border-radius: 20px;
}

.subscription-form .form-input input,
.subscription-form .form-input button {
    width: 50% !important;
    border-radius: 0px;
    padding: 10px;
    height: 50px;
    font-size: 1rem;
}

.subscription-form .form-input input {
    border-radius: 20px 0px 0px 20px;
}

.subscription-form .form-input button {
    text-align: center;
    background-color: var(--accent-green) !important;
    color: var(--dark-forest-green) !important;
    text-transform: capitalize;
    border-radius: 0px 20px 20px 0px;
    font-weight: 600;
}